#include "Vram.h"
#include "Chars.h"

extern byte[] MonoPattern, ColorPattern;

void InitVram()
{
    ClearScreen();
    SetPcgMono(Char_Ascii, MonoPattern, 7, 64);
    SetPcgMono(Char_Wall, MonoPattern + Char_Wall * CharHeight, 5, 1);
    SetPcgColor(Char_Knife, ColorPattern, Char_End - Char_Knife);
}


word PrintC(word vram, byte c)
{
    Put(vram, c - ' ');
    return vram + VramStep;
}


word Put2C(word vram, byte c)
{
    repeat (2) {
        repeat (2) {
            vram = Put(vram, c);
            ++c;
        }
        vram += VramRowSize - 2 * VramStep;
    }
    return vram + 2 * VramStep - VramRowSize * 2;
}


word Erase2(word vram)
{
    repeat (2) {
        repeat (2) {
            vram = Put(vram, Char_Space);
        }
        vram += VramRowSize - 2 * VramStep;
    }
    return vram + 2 * VramStep - VramRowSize * 2;
}


// void Put2S(word vram, ptr<byte> pChars)
// {
//     repeat (2) {
//         repeat (2) {
//             vram = Put(vram, *pChars);
//             ++pChars;
//         }
//         vram += VramRowSize - 2 * VramStep;
//     }
// }
